Package in.cdac.medinfo.csnotk.csnolib.model

## Class Refset

- java.lang.Object
- - in.cdac.medinfo.csnotk.csnolib.model.Refset

-     public class Refset
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Refset()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getModuleId()` |
    `Concept` | `getRefsetConcept()` |
    `java.lang.String` | `getRefsetCount()` |
    `java.lang.String` | `getRefSetId()` | Returns id of the Refset
    `java.lang.String` | `getRefsetType()` |
    `int` | `getResetActive()` |
    `java.lang.String` | `getTargetId()` |
    `void` | `setModuleId​(java.lang.String moduleId)` |
    `void` | `setRefsetConcept​(Concept refsetConcept)` |
    `void` | `setRefsetCount​(java.lang.String refsetCount)` |
    `void` | `setRefSetId​(java.lang.String refSetId)` | Sets the Refset Id
    `void` | `setRefsetType​(java.lang.String refsetType)` |
    `void` | `setResetActive​(int resetActive)` |
    `void` | `setTargetId​(java.lang.String targetId)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Refset

          public Refset()

  - ### Method Detail

    - #### getResetActive

          public int getResetActive()

    - #### setResetActive

          public void setResetActive​(int resetActive)

    - #### getRefsetConcept

          public Concept getRefsetConcept()

    - #### setRefsetConcept

          public void setRefsetConcept​(Concept refsetConcept)

    - #### getRefsetType

          public java.lang.String getRefsetType()

    - #### setRefsetType

          public void setRefsetType​(java.lang.String refsetType)

    - #### getRefsetCount

          public java.lang.String getRefsetCount()

    - #### setRefsetCount

          public void setRefsetCount​(java.lang.String refsetCount)

    - #### getModuleId

          public java.lang.String getModuleId()

    - #### setModuleId

          public void setModuleId​(java.lang.String moduleId)

    - #### getTargetId

          public java.lang.String getTargetId()

    - #### setTargetId

          public void setTargetId​(java.lang.String targetId)

    - #### getRefSetId

          public java.lang.String getRefSetId()

      Returns id of the Refset
      Returns:
        id of a Refset

    - #### setRefSetId

          public void setRefSetId​(java.lang.String refSetId)

      Sets the Refset Id
      Parameters:
        `refSetId` - Id of a Refset